## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate libssh2-sys

Name:           rust-libssh2-sys
Version:        0.3.0
Release:        %autorelease
Summary:        Native bindings to the libssh2 library

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/libssh2-sys
Source0:        %{crates_source}
# https://github.com/alexcrichton/ssh2-rs/issues/289
Source1:        https://github.com/alexcrichton/ssh2-rs/raw/libssh2-sys-0.3.0/LICENSE-APACHE
Source2:        https://github.com/alexcrichton/ssh2-rs/raw/libssh2-sys-0.3.0/LICENSE-MIT
# Automatically generated patch to strip foreign dependencies
Patch:          libssh2-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop windows-specific dependencies and features
# * drop dependency and feature for unused zlib-ng support
# * drop feature for vendored OpenSSL sources
Patch:          libssh2-sys-fix-metadata.diff
# * unconditionally link against system libssh2 with pkg-config
Patch:          0001-build.rs-always-use-pkg-config.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Native bindings to the libssh2 library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libssh2)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# remove bundled copy of libssh2 sources
rm -rv libssh2/
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libssh2)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Update to version 0.3.0; Fixes RHBZ#2162920

* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.23-5
- Regenerate with rust2rpm v24 and add missing license files

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.23-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.23-1
- Update to version 0.2.23; Fixes RHBZ#2012599

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Feb 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.21-1
- Update to version 0.2.21.
- Fixes RHBZ#1923720

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.20-1
- Update to version 0.2.20.
- Fixes RHBZ#1900418

* Wed Aug 19 2020 Josh Stone <jistone@redhat.com> - 0.2.19-1
- Update to 0.2.19

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.2.18-1
- Update to 0.2.18

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.2.17-1
- Update to 0.2.17

* Wed Mar 04 2020 Josh Stone <jistone@redhat.com> - 0.2.16-1
- Update to 0.2.16

* Sun Feb 23 11:38:17 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.15-1
- Update to 0.2.15

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.2.14-1
- Update to 0.2.14

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 0.2.13-1
- Update to 0.2.13

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 12:36:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.11-5
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.11-3
- Run tests in infrastructure

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.11-2
- Adapt to new packaging

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.2.11-1
- Update to 0.2.11

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.2.10-1
- Update to 0.2.10

* Sat Jul 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.8-1
- Update to 0.2.8

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 04 2018 Josh Stone <jistone@redhat.com> - 0.2.7-1
- Update to 0.2.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-2
- Rebuild for rust-packaging v5

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-3
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.5-1
- Initial package

## END: Generated by rpmautospec
